<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Tagihan</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Tagihan </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/studentBill/billAdmin/list}" class="btn btn-sm btn-default"><i class="fas fa-arrow-alt-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <form method="get">
                            <input th:if="${search != null}" type="hidden" name="search" th:value="${search}">
                            <div class="row">
                                <div class="col-md-12 col-xs-12">
                                    <div class="form-group input-group mb-3">
                                        <select name="tahunAkademik" class="form-control" id="select2-tahun">
                                            <option value="">--- ALL ---</option>
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:selected="(${data} == *{selectTahun})"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:value="${data.id}"></option>
                                        </select>
                                        <div class="input-group-append">
                                            <button class="btn btn-primary" type="submit"><i class="fa fa-eye"></i>&nbsp; Show</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <form method="get">
                            <input th:if="${selectTahun != null}" type="hidden" name="tahunAkademik" th:value="${selectTahun.id}">
                            <div class="row">

                                <div class="col-md-6"></div>
                                <div class="col-md-6">
                                    <div class="input-group mb-3">
                                        <input type="text" name="search" class="form-control" placeholder="Search" th:value="${search}">
                                        <div class="input-group-append">
                                            <button class="btn btn-info" type="submit"><i class="fas fa-search"></i> Search</button>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th>#</th>
                                    <th>NIM</th>
                                    <th>Nama </th>
                                    <th>Prodi</th>
                                    <th>Nama Tagihan</th>
                                    <th>Nomor Tagihan</th>
                                    <th>Nilai Tagihan</th>
                                    <th>Dibayar</th>
                                    <th>Status</th>
                                    <th>Tanggal</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${allTagihan}">
                                    <td th:text="${(row.index + 1) + (allTagihan.number * allTagihan.size)}">1</td>
                                    <td th:text="${data.mahasiswa.nim}"></td>
                                    <td th:text="${data.mahasiswa.nama}">PATRICK STAR</td>
                                    <td th:text="${data.mahasiswa.idProdi.namaProdi}">PATRICK STAR</td>
                                    <td th:text="${data.nilaiJenisTagihan.jenisTagihan.nama}">BANGUN DAN SEMANGAT</td>
                                    <td th:text="${data.nomor}"></td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.nilaiTagihan, 0, 'POINT', 2, 'COMMA')}">BANGUN DAN SEMANGAT</td>
                                    <td th:text="${'Rp. ' + #numbers.formatDecimal(data.akumulasiPembayaran, 0, 'POINT', 2, 'COMMA')}">BANGUN DAN SEMANGAT</td>
                                    <td>
                                        <a  class="btn btn-info btn-sm" href="#!"
                                            th:if="${data.statusTagihan.AKTIF} == ${data.statusTagihan}"
                                            th:text="${data.statusTagihan}">
                                        </a>

                                        <a type="button" class="btn btn-success btn-sm" href="#!"
                                           th:if="${data.statusTagihan.LUNAS} == ${data.statusTagihan}"
                                           th:text="${data.statusTagihan}">
                                        </a>

                                        <a type="button" class="btn btn-warning ger btn-sm" href="#!"
                                           th:if="${data.statusTagihan.DICICIL} == ${data.statusTagihan}"
                                           th:text="${data.statusTagihan}">
                                        </a>

                                        <a type="button" class="btn btn-warning btn-sm" href="#!"
                                           th:if="${data.statusTagihan.DITANGGUHKAN} == ${data.statusTagihan}"
                                           th:text="${data.statusTagihan}">
                                        </a>

                                        <a type="button" class="btn btn-warning btn-sm" href="#!"
                                           th:if="${data.statusTagihan.PERINGANAN} == ${data.statusTagihan}"
                                           th:text="${data.statusTagihan}">
                                        </a>

                                        <a type="button" class="btn btn-primary btn-sm" href="#!"
                                           th:if="${data.statusTagihan.BEASISWA} == ${data.statusTagihan}"
                                           th:text="${data.statusTagihan}">
                                        </a>
                                    </td>
                                    <td th:text="${#temporals.format(data.tanggalPembuatan, 'dd - MMM - yyyy')}"></td>
                                    <td th:if="${data.statusTagihan.LUNAS} != ${data.statusTagihan}">

                                        <button type="button" class="btn btn-info btn-sm" data-toggle="modal" th:data-target="${'#modal-send' + data.id}">
                                            <i class="fas fa-file-import"></i>
                                        </button>

                                        <div class="modal fade" th:id="${'modal-send'+data.id}" tabindex="-1"
                                             role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                            <div class="modal-dialog modal-info modal-dialog-centered modal-"
                                                 role="document">
                                                <div class="modal-content bg-gradient-info">

                                                    <div class="modal-header">
                                                        <h6 class="modal-title" id="modal-title-notification">Your attention
                                                            is required</h6>
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>

                                                    <div class="modal-body">

                                                        <div class="py-3 text-center">
                                                            <i class="ni ni-send ni-3x"></i>
                                                            <h4 class="heading mt-4">Are you sure ?</h4>
                                                            <!--                                                        <p>Once deleted, you will not be able to recover this imaginary-->
                                                            <!--                                                            file!</p>-->
                                                        </div>

                                                    </div>

                                                    <div class="modal-footer">
                                                        <form th:action="@{/studentBill/billAdmin/resendTagihan(tagihan = ${data.id})}"
                                                              method="post">
                                                            <button type="submit" class="btn btn-white">Send</button>
                                                        </form>
                                                        <button type="button" class="btn btn-link text-white ml-auto"
                                                                data-dismiss="modal">Tutup
                                                        </button>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="card-footer py-4">
                        <nav aria-label="...">
                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                        aria-hidden="true">&laquo;</span></a>
                                </li>
                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>